/**
 * Internal dependencies
 */
import { type AddAction, type AddOperationsAction, type CacheBlobUrlAction, type CancelAction, type OperationFinishAction, type OperationStartAction, type PauseQueueAction, type QueueItem, type RemoveAction, type ResumeQueueAction, type RevokeBlobUrlsAction, type State, type UnknownAction, type UpdateSettingsAction } from './types';
type Action = AddAction | RemoveAction | CancelAction | PauseQueueAction | ResumeQueueAction | AddOperationsAction | OperationFinishAction | OperationStartAction | CacheBlobUrlAction | RevokeBlobUrlsAction | UpdateSettingsAction | UnknownAction;
declare function reducer(state?: State, action?: Action): {
    queueStatus: string;
    queue: QueueItem[];
    blobUrls: Record<import("./types").QueueItemId, string[]>;
    settings: import("./types").Settings;
};
export default reducer;
//# sourceMappingURL=reducer.d.ts.map