"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UploadError = void 0;
/**
 * MediaError class.
 *
 * Small wrapper around the `Error` class
 * to hold an error code and a reference to a file object.
 */
class UploadError extends Error {
  constructor({
    code,
    message,
    file,
    cause
  }) {
    super(message, {
      cause
    });
    Object.setPrototypeOf(this, new.target.prototype);
    this.code = code;
    this.file = file;
  }
}
exports.UploadError = UploadError;
//# sourceMappingURL=upload-error.js.map